Name:		wfview
URL:		https://gitlab.com/eliggett/wfview/
Version:	1.64
Release:	1%{?dist}
License:	GPL-3.0-only AND BSD-3-Clause AND BSD-2-Clause
BuildRequires:	make
BuildRequires:	gcc-c++
BuildRequires:	pkgconf-pkg-config
BuildRequires:	desktop-file-utils
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtserialport-devel
BuildRequires:	qt5-qtmultimedia-devel
BuildRequires:	qt5-qtgamepad-devel
BuildRequires:	qcustomplot-qt5-devel
BuildRequires:	systemd-devel
BuildRequires:	opus-devel
BuildRequires:	eigen3-devel
BuildRequires:	hidapi-devel
BuildRequires:	portaudio-devel
BuildRequires:	rtaudio-devel
BuildRequires:	hicolor-icon-theme
Requires:	hicolor-icon-theme
Summary:	Software for the control of Icom radios
Source0:	%{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# drop when upstreamed
# https://gitlab.com/eliggett/wfview/-/commit/b68874d32878278e6e84668aaa44534255e7e1f5
Source1:	wfview.png
# https://gitlab.com/eliggett/wfview/-/issues/147
Patch0:		wfview-1.64-sane-build-defines.patch
# https://gitlab.com/eliggett/wfview/-/issues/147
Patch1:		wfview-1.64-qcustomplot-pkgconfig.patch
# https://gitlab.com/eliggett/wfview/-/issues/147
Patch2:		wfview-1.64-no-strip.patch
# https://gitlab.com/eliggett/wfview/-/commit/b68874d32878278e6e84668aaa44534255e7e1f5
Patch3:		wfview-1.64-appstream-metainfo.patch
# https://gitlab.com/eliggett/wfview/-/commit/1805861274019beb996391828ed800abd794bef0
Patch4:		wfview-1.64-pmr-fix.patch

%description
The wfview is open-source software for the control of modern Icom radios,
including the IC-7300, IC-7610, IC-705, IC-R8600 and IC-9700. USB and
LAN are supported.

%prep
%autosetup -n %{name}-v%{version} -p1

# drop when upstreamed
# https://gitlab.com/eliggett/wfview/-/commit/b68874d32878278e6e84668aaa44534255e7e1f5
mkdir -p resources/unix_icons
cp %{SOURCE1} resources/unix_icons/%{name}.png

%build
mkdir %{name} wfserver
pushd %{name}
%{qmake_qt5} PREFIX=%{_prefix} ../%{name}.pro
%make_build
popd
pushd wfserver
%{qmake_qt5} PREFIX=%{_prefix} ../wfserver.pro
%make_build
popd

%install
pushd %{name}
%make_install INSTALL_ROOT=%{buildroot}
popd
pushd wfserver
%make_install INSTALL_ROOT=%{buildroot}
popd
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license LICENSE
%doc WHATSNEW README.md RIG_ISSUES_AND_LIMITS.md CONTRIBUTING.md CI-V.md
%doc CHANGELOG
%{_bindir}/wfview
%{_bindir}/wfserver
%{_datadir}/wfview
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/org.wfview.wfview.metainfo.xml

%changelog
* Sun Oct 20 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 1.64-1
- Initial version
